IdentifiantMot de passe
Loading...
Mot de passe oublié ?Je m'inscris ! (gratuit)
Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

Eclipse Platform Discussion :

[Plugin] Migration d'un plugin d'Eclipse 2.1 sous 3.0


Sujet :

Eclipse Platform

  1. #1
    Nouveau Candidat au Club
    Inscrit en
    novembre 2004
    Messages
    2
    Détails du profil
    Informations forums :
    Inscription : novembre 2004
    Messages : 2
    Points : 1
    Points
    1
    Par défaut [Plugin] Migration d'un plugin d'Eclipse 2.1 sous 3.0
    Bonjour,
    J'essaie de migrer un plugin qui a été développé sous 2.x vers Eclipse 3.0.
    J'ai lu dans la doc de migration qu'il pouvait y avoir des problèmes lorsqu'on utilisait Xerces et en effet : celui-ci n'apparait pas dans la liste des plugins que l'on peut importer car il semble etre inclus dans le JSDK standard.
    Pb, je ne sais pas si je dois importer qq chose (package Java ? autre plugin ?) ou bien changer mon code qui fait des import du type suivant :

    import org.apache.xerces.dom.DocumentImpl;

    Quelqu'un en pense qq chose ?

    Merci d'avance




    [Modéré par Didier]
    Ajout de tag dans le titre
    Lire les règles du forum : Règles du forum Java

  2. #2
    Nouveau Candidat au Club
    Inscrit en
    novembre 2004
    Messages
    2
    Détails du profil
    Informations forums :
    Inscription : novembre 2004
    Messages : 2
    Points : 1
    Points
    1
    Par défaut
    Bon, je vois que ca a inspiré bcp de monde :
    j'ai finalement trouvé la solution :

    une bonne partie des classes de xerces se trouvent en effet maintenant dans le JSDK, mais pas toutes; certaines se trouvent dans xercesImpl.jar ou xml-apis.jar par exemple (aller sur org.apache.xml pour télécharger xerces 2.6.2 et dans le zip, il y a ces jars...)

    du coup, il suffit d'ajouter les jars nécessaires dans le classpathdu plugin.

Discussions similaires

  1. Réponses: 0
    Dernier message: 05/02/2013, 22h12
  2. [Plugin][Struts]Quel plug-in pour Eclipse 3.1.0 pour Struts?
    Par Kubiak62 dans le forum Eclipse Java
    Réponses: 3
    Dernier message: 24/11/2005, 18h53
  3. [Plugin][Tomcat]creer un servlet avec eclipse 3.1
    Par arioule dans le forum Eclipse Java
    Réponses: 3
    Dernier message: 25/08/2005, 12h36
  4. [Plugin]je cherche un plugin jsp pour eclipse
    Par ruppert62 dans le forum Eclipse Java
    Réponses: 13
    Dernier message: 22/02/2005, 14h54
  5. [Plugin][Lomboz]Erreur lancement tomcat via eclipse
    Par dodine dans le forum Eclipse Java
    Réponses: 1
    Dernier message: 01/07/2004, 12h06

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo